Bug 202544 - [UPDATE]: update games/eduke32 to the newest rev and take maintainership
Summary: [UPDATE]: update games/eduke32 to the newest rev and take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-21 09:41 UTC by Piotr Kubaj
Modified: 2015-09-03 14:26 UTC (History)
0 users

See Also:


Attachments
update to games/eduke32 (7.78 KB, patch)
2015-08-21 09:41 UTC, Piotr Kubaj
no flags Details | Diff
patch v2 (8.04 KB, patch)
2015-08-21 10:20 UTC, Piotr Kubaj
no flags Details | Diff
Improved patch (4.30 KB, patch)
2015-08-27 09:52 UTC, Dmitry Marakasov
no flags Details | Diff
patch v4 (8.63 KB, patch)
2015-08-31 17:50 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2015-08-21 09:41:20 UTC
Created attachment 160168 [details]
update to games/eduke32

The attached patch updates the games/eduke32 port to the revision 5334. I've build- and run-tested the port on amd64 10.2-RELEASE. Since I don't have sparc64 hardware, I decided not to remove BROKEN_sparc64 from Makefile.
Comment 1 Piotr Kubaj freebsd_committer 2015-08-21 10:20:36 UTC
Created attachment 160169 [details]
patch v2
Comment 2 Dmitry Marakasov freebsd_committer 2015-08-27 09:52:18 UTC
Created attachment 160400 [details]
Improved patch

This is missing dependencies, at least glx and libvpx - please test the port with poudriere before submission. See also improved version of the patch:
- Move LIB_DEPENDS to the proper place
- Make DOCS/EXAMPLES optional
- Fix REINPLACE_CMD so it doesn't break when CC/CXX contain slashes (fixing cross-building on arm/mips)

I'd also make assembly support into an option only available (and enabled by default) on i386
Comment 3 Piotr Kubaj freebsd_committer 2015-08-31 17:50:07 UTC
Created attachment 160565 [details]
patch v4

Changes:
-update to r5338
-addition of glu dependency
-addition of ASM option, default on i386.


I've verified that it compiles with poudriere on 10.2-RELEASE/amd64.
Comment 4 commit-hook freebsd_committer 2015-09-03 09:13:32 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Sep  3 09:13:13 UTC 2015
New revision: 395936
URL: https://svnweb.freebsd.org/changeset/ports/395936

Log:
  - Update to r5338
  - Cleanup port
  - Pass maintainership to submitter

  PR:		202544
  Submitted by:	pkubaj@riseup.net

Changes:
  head/games/eduke32/Makefile
  head/games/eduke32/distinfo
Comment 5 Dmitry Marakasov freebsd_committer 2015-09-03 09:14:51 UTC
Committed with minor changes: only use ASM option on i386 and link nasm dependency with the option.
Comment 6 Piotr Kubaj freebsd_committer 2015-09-03 13:12:32 UTC
(In reply to Dmitry Marakasov from comment #5)
I've also included patches in the diff. They are needed to get the port to compile.
Comment 7 Piotr Kubaj freebsd_committer 2015-09-03 13:13:14 UTC
openning
Comment 8 Dmitry Marakasov freebsd_committer 2015-09-03 14:25:33 UTC
Oops, fixed.
Comment 9 commit-hook freebsd_committer 2015-09-03 14:26:07 UTC
A commit references this bug:

Author: amdmi3
Date: Thu Sep  3 14:25:23 UTC 2015
New revision: 395961
URL: https://svnweb.freebsd.org/changeset/ports/395961

Log:
  - Add forgotten patches, fixing build

  PR:		202544
  Submitted by:	pkubaj@riseup.net

Changes:
  head/games/eduke32/files/
  head/games/eduke32/files/patch-Makefile.common
  head/games/eduke32/files/patch-build_src_baselayer.c
  head/games/eduke32/files/patch-build_src_engine.c